Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229799 - /usr/libexec/w3m and /usr/libexec/w3m/cgi-bin are not owned
Summary: /usr/libexec/w3m and /usr/libexec/w3m/cgi-bin are not owned
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: w3m
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag Nemade
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-23 16:08 UTC by Robert Scheck
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: w3m-0.5.1-17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-26 05:12:40 UTC


Attachments (Terms of Use)

Description Robert Scheck 2007-02-23 16:08:36 UTC
Description of problem:
/usr/libexec/w3m and /usr/libexec/w3m/cgi-bin are not owned, but should be 
owned by the w3m package. The directories were owned in 0.5.1-14.1, so this
is definately a regression.

Version-Release number of selected component (if applicable):
w3m-0.5.1-16

How reproducible:
Everytime, "rpm -qf /usr/libexec/w3m /usr/libexec/w3m/cgi-bin"

Actual results:
/usr/libexec/w3m and /usr/libexec/w3m/cgi-bin are not owned by any package

Expected results:
/usr/libexec/w3m and /usr/libexec/w3m/cgi-bin owned by the w3m package, like 
below or better:

--- w3m.spec       2007-02-23 17:07:40.000000000 +0100
+++ w3m.spec.rsc   2007-02-23 17:07:27.000000000 +0100
@@ -126,6 +126,7 @@
 %defattr(-, root, root, -)
 %doc doc doc-jp
 ## %doc README.img
+%attr(0755, root, root) %{_libexecdir}/w3m
 %{_datadir}/w3m
 %config(noreplace) %{_sysconfdir}/w3m
 %{_bindir}/w3m*

Comment 1 Robert Scheck 2007-02-23 16:15:17 UTC
Forget the suggested patch above, please - it causes warnings, which are not 
acceptable by the Fedora Guidelines, too. Better patch below:

--- w3m.spec       2007-02-23 17:12:45.000000000 +0100
+++ w3m.spec.rsc   2007-02-23 17:14:35.000000000 +0100
@@ -132,6 +132,8 @@
 %{_mandir}/ja/man1/w3m.1*
 %{_mandir}/man1/w3m.1*
 %{_mandir}/man1/w3mman.1*
+%dir %{_libexecdir}/%{name}
+%dir %{_libexecdir}/%{name}/cgi-bin
 %exclude %{_libexecdir}/w3m/w3mimgdisplay

 %files img

Comment 2 Parag Nemade 2007-02-26 05:12:40 UTC
Built new release w3m-0.5.1-17 for above problem.


Note You need to log in before you can comment on or make changes to this bug.